Event Records

An EventRecord is a durable event emitted by Files.com for routing through Event Channels.

List Event Records

Endpoint

GET/event_records

Return Object

EventRecord[]

Authorization Requirement

Requires a Site-Wide API key, or a User API key or session from a Site Administrator or a Workspace Administrator for the relevant workspace.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/event_records.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "workspace_id": 1,
    "event_uuid": "example",
    "event_type": "sync_run.failure.v1",
    "severity": "example",
    "source_type": "example",
    "source_id": 1,
    "occurred_at": "2000-01-01T01:00:00Z",
    "human_title": "example",
    "human_summary": "example",
    "human_fields": [
      "example"
    ],
    "actor": "example",
    "resources": [
      "example"
    ],
    "payload": "example",
    "created_at": "2000-01-01T01:00:00Z"
  }
]

Show Event Record

Endpoint

GET/event_records/{id}

Return Object

EventRecord

Authorization Requirement

Requires a Site-Wide API key, or a User API key or session from a Site Administrator or a Workspace Administrator for the relevant workspace.

Request Parameters

ParameterDescription
id
int64
Required
Event Record ID.

Example Request

curl https://app.files.com/api/rest/v1/event_records/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "workspace_id": 1,
  "event_uuid": "example",
  "event_type": "sync_run.failure.v1",
  "severity": "example",
  "source_type": "example",
  "source_id": 1,
  "occurred_at": "2000-01-01T01:00:00Z",
  "human_title": "example",
  "human_summary": "example",
  "human_fields": [
    "example"
  ],
  "actor": "example",
  "resources": [
    "example"
  ],
  "payload": "example",
  "created_at": "2000-01-01T01:00:00Z"
}

The EventRecord Object

Some of the endpoints above return a EventRecord object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event Record ID
workspace_id
int64
Workspace ID. 0 means the default workspace or site-wide.
event_uuid
string
Stable event UUID.
event_type
string
Versioned event type string. Valid values: automation_run.canceled.v1, automation_run.failure.v1, automation_run.failure_will_retry.v1, automation_run.partial_failure.v1, automation_run.partial_failure_will_retry.v1, automation_run.skipped.v1, automation_run.success.v1, expectation_evaluation.invalid.v1, expectation_evaluation.late.v1, expectation_evaluation.missing.v1, expectation_evaluation.success.v1, expectation_incident.acknowledged.v1, expectation_incident.open.v1, expectation_incident.resolved.v1, expectation_incident.snoozed.v1, external_event.client_log.failure.v1, external_event.client_log.partial_failure.v1, external_event.client_log.skipped.v1, external_event.client_log.success.v1, pending_work_event.failure.v1, pending_work_event.partial_failure.v1, pending_work_event.skipped.v1, pending_work_event.success.v1, siem_http_destination_event.failure.v1, siem_http_destination_event.partial_failure.v1, siem_http_destination_event.skipped.v1, siem_http_destination_event.success.v1, sso_event.ldap_login.failure.v1, sso_event.ldap_login.partial_failure.v1, sso_event.ldap_login.skipped.v1, sso_event.ldap_login.success.v1, sso_event.ldap_sync.failure.v1, sso_event.ldap_sync.partial_failure.v1, sso_event.ldap_sync.skipped.v1, sso_event.ldap_sync.success.v1, sso_event.saml_login.failure.v1, sso_event.saml_login.partial_failure.v1, sso_event.saml_login.skipped.v1, sso_event.saml_login.success.v1, sync_run.failure.v1, sync_run.partial_failure.v1, sync_run.skipped.v1, sync_run.success.v1, user_security_event.lockout.v1
severity
string
Event severity.
Possible values: info, warning, error, critical
source_type
string
Source record type.
source_id
int64
Source record ID.
occurred_at
date-time
Event occurrence date/time.
human_title
string
Human-readable event title.
human_summary
string
Human-readable event summary.
human_fields
array(object)
Human-readable event detail fields.
actor
object
Actor associated with the event.
resources
array(object)
Resources associated with the event.
payload
object
Event payload.
created_at
date-time
Event Record create date/time.

Example EventRecord Object

{
  "id": 1,
  "workspace_id": 1,
  "event_uuid": "example",
  "event_type": "sync_run.failure.v1",
  "severity": "example",
  "source_type": "example",
  "source_id": 1,
  "occurred_at": "2000-01-01T01:00:00Z",
  "human_title": "example",
  "human_summary": "example",
  "human_fields": [
    "example"
  ],
  "actor": "example",
  "resources": [
    "example"
  ],
  "payload": "example",
  "created_at": "2000-01-01T01:00:00Z"
}